<ion-header>
  <ion-toolbar>
    <ion-back-button slot="start"></ion-back-button>
    <ion-title>Everi Mobile App Creator Studio</ion-title>
    <ion-progress-bar type="indeterminate" *ngIf="showSkeleton"></ion-progress-bar>
  </ion-toolbar>
</ion-header>
<ion-content>
  <ion-grid>
    <ion-row *ngIf="showSkeleton" class="forms-section">
      <ion-col size="12" *ngFor="let i of showSkeletonArray;">
        <ion-list lines="none">
          <ion-list-header>
            <ion-title><ion-skeleton-text [animated]="true" style="width: 80px"></ion-skeleton-text></ion-title>
          </ion-list-header>
          <ion-item class="ion-padding-start ion-padding-end" lines="none">
            <ion-label position="fixed"><ion-skeleton-text [animated]="true"
                style="width: 80px"></ion-skeleton-text></ion-label>
            <ion-skeleton-text [animated]="true" style="width: 80%;"></ion-skeleton-text>
          </ion-item>
        </ion-list>
      </ion-col>
    </ion-row>
    <!-- App Information Section begins -->
    <div *ngIf="!showSkeleton" class="forms-section">
      <ion-row>
        <ion-col *ngIf="appCreatorStudioSchema && appCreatorStudioSchema?.appInfo?.workItem">
          <ion-list line="none">
            <ion-list-header>
              <ion-title>Work Item</ion-title>
            </ion-list-header>
            <form [formGroup]="workItemForm">
              <ion-item class="ion-padding-start ion-padding-end" lines="none"
                *ngFor="let item of appCreatorStudioSchema?.appInfo?.workItem;">
                <ion-label position="fixed">{{item}}</ion-label>
                <ion-input *ngIf="item && item === 'ID'" type="number" placeholder="Enter {{item}}"
                  formControlName="{{item}}"></ion-input>
                <ion-input *ngIf="item && item !== 'ID'" type="text" placeholder="Enter {{item}}"
                  formControlName="{{item}}"></ion-input>
              </ion-item>
            </form>
          </ion-list>
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col *ngIf="appCreatorStudioSchema && appCreatorStudioSchema?.appInfo?.appInformation">
          <ion-list line="none">
            <ion-list-header>
              <ion-title>App Information</ion-title>
            </ion-list-header>
            <form [formGroup]="appInfoForm">
              <ion-item class="ion-padding-start ion-padding-end" lines="none"
                *ngFor="let value of appCreatorStudioSchema?.appInfo?.appInformation;">
                <ion-label position="fixed">{{value}}</ion-label>
                <ion-input type="text" formControlName="{{value}}" placeholder="Enter {{value}}" required></ion-input>
              </ion-item>
            </form>
          </ion-list>
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col *ngIf="appCreatorStudioSchema && appCreatorStudioSchema?.appInfo?.appFeatures">
          <form [formGroup]="appFeaturesForm">
            <ion-list line="none">
              <ion-list-header>
                <ion-title>App Features</ion-title>
              </ion-list-header>
              <ion-item class="ion-padding-start ion-padding-end" lines="none"
                *ngFor="let value of appCreatorStudioSchema?.appInfo?.appFeatures;">
                <ion-label position="fixed">{{value}}</ion-label>
                <ion-select placeholder="Select" interface="popover" formControlName="{{value}}">
                  <ion-select-option *ngFor="let data of appFeaturesOptions;"
                    [value]="data">{{data}}</ion-select-option>
                </ion-select>
              </ion-item>
            </ion-list>
          </form>
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col *ngIf="appCreatorStudioSchema && appCreatorStudioSchema?.appInfo?.appFastlaneSecrets">
          <form [formGroup]="appFastlaneSecretsForm">
            <ion-list line="none">
              <ion-list-header>
                <ion-title>App Fastlane Secrets</ion-title>
              </ion-list-header>
              <ion-item class="ion-padding-start ion-padding-end" lines="none"
                *ngFor="let value of appCreatorStudioSchema?.appInfo?.appFastlaneSecrets;">
                <ion-label position="fixed">{{value}}</ion-label>
                <ion-input *ngIf="value !== 'KeyContent'" type="text" formControlName="{{value}}"
                  placeholder="Enter {{value}}"></ion-input>
                <ion-textarea class="descriptionBox" *ngIf="value === 'KeyContent'" rows="6" type="text" [autoGrow]=true
                  placeholder="Enter {{value}}" formControlName="{{value}}"></ion-textarea>
              </ion-item>
            </ion-list>
          </form>
        </ion-col>
      </ion-row>
      <!-- App Information Section ends -->
      <!-- App Theming Section Starts -->
      <ion-row>
        <ion-col *ngIf="appCreatorStudioSchema && appCreatorStudioSchema?.appThemes?.sections">
          <form [formGroup]="appThemesForms">
            <ion-list line="none">
              <ion-list-header>
                <ion-title>Themes</ion-title>
                <ion-button color="secondary" fill="outline" (click)="showScssToJsonConvertorModel()">Convert SCSS to JSON</ion-button>
              </ion-list-header>
              <ion-item class="ion-padding-start ion-padding-end" lines="none"
                *ngFor="let item of appCreatorStudioSchema?.appThemes?.sections;">
                <ion-label position="fixed">{{item}}</ion-label>
                <div id="{{item}}" class="jsonEditor"></div>
                <ion-textarea class="descriptionBox" rows="6" placeholder="Enter {{item}}" type="text" [autoGrow]=true
                  formControlName="{{item}}" required style="display:none"></ion-textarea>
              </ion-item>
            </ion-list>
          </form>
        </ion-col>
      </ion-row>
      <!-- App Theming Section Ends -->
    </div>
  </ion-grid>
  <ion-fab *ngIf="!showSkeleton" slot="fixed" vertical="bottom" horizontal="end">
    <ion-fab-button color="secondary" size="large">
      <ion-icon name="chevron-up-outline"></ion-icon>
    </ion-fab-button>
    <ion-fab-list side="top">
      <ion-fab-button type="submit" color="success" size="large" (click)="submitFormData()">
        <ion-icon name="checkmark-outline"></ion-icon>
      </ion-fab-button>
      <ion-fab-button color="danger" size="large" (click)="resetForms()">
        <ion-icon name="arrow-undo-outline"></ion-icon>
      </ion-fab-button>
    </ion-fab-list>
  </ion-fab>
</ion-content>